
Redmine - Defect #23921

REST API Issue PUT responds 200 OK even when it can't set assigned_to_id

2016-09-23 19:24 - Fran Fabrizio

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 3.3.0

Description

Hi,

I ran across an issue with the REST API that responded with a 200 OK when I think it should respond with an error.

If I try to PUT this to an existing issue:

{ "issue": {

 "assigned_to_id": "19" 

 }

}

 it will respond 200 OK even if it can't change the assigned_to_id to 19, for instance if user ID 19 does not have an assignable role on

the project.  Because the API reported a 200 OK, this led to a lot of confused debugging.  A 422 return with appropriate error

message in the body might be more useful.

Related issues:

Related to Redmine - Defect #26063: Users can assign a user/group which is no... Closed

Associated revisions

Revision 16055 - 2016-12-10 13:02 - Jean-Philippe Lang

Enforce issue assignee validation (#23921).

History

#1 - 2016-10-09 16:14 - Toshi MARUYAMA

- Description updated

#2 - 2016-10-23 09:20 - Toshi MARUYAMA

- Target version set to 3.4.0

#3 - 2016-12-10 13:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed by r16055.

#4 - 2017-05-29 15:38 - Go MAEDA

- Related to Defect #26063: Users can assign a user/group which is not a member of current project, or even a user that doesn't exist added
